Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Query Information of a Queue

Query the detailed information of a queue.

Request URL

GET {base_url}/{api_path}/queue/get?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
idYesIntegerThe unique ID of the queue.
Note:You can query queue's ID using Search Specific Queues.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note:You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
dataObject <Queue_DetailInfo>The detailed information of the queue.

Queue_DetailInfo

ParameterTypeDescription
idIntegerThe unique ID of the queue.
numberStringQueue number.
nameStringQueue name.
ring_strategyStringThe ring strategy of the queue.
  • ring_all: Ring all available agents simultaneously until someone answers.
  • least_recent: Ring the available agent that was least recently called.
  • fewest_calls: Ring the available agent with the fewest completed calls.
  • random: Ring the agents randomly.
  • rrmemory: Round robin with memory.
  • linear: Ring the available agent in specific order based on the type of agents in the queue.
mohStringThe music to be played when callers are waiting in the queue.
max_wait_timeIntegerThe maximum time that callers are allowed to wait for an available agent in the queue (Unit: Second).
fail_destStringThe destination type of unanswered queue calls.Note:This applies to the following scenarios:
  • The maximum waiting time is reached.
  • The queue exceeds the maximum number of waiting callers.
  • All queue agents have logged out.
  • end_call: Hang Up.
  • extension: Extension.
  • ext_vm: Extension Voicemail.
  • group_vm: Group Voicemail.
  • ivr: IVR.
  • call_flow: Call Flow
  • ring_group: Ring Group.
  • queue: Queue.
  • external_num: External Number.
  • play_greeting: Play Prompt and Exit.
fail_dest_prefixStringThis parameter returns different values depending on the destination type of unanswered queue calls (fail_dest).
  • When the destination type is external_num, the parameter returns the dial-out prefix of the external number.
  • When the destination type is play_greeting, the parameter returns the play count of the prompt.
fail_dest_valueStringThe destination of unanswered queue calls. This parameter returns different values depending on the destination type of unanswered queue calls (fail_dest).
  • When the destination type is play_greeting, this parameter returns the custom prompt file name. E.g. demo.wav.
  • When the destination type is extension, ext_vm, group_vm, ivr, call_flow, ring_group, or queue, this parameter returns the unique ID of the destination.

    For example, the destination is the extension 2002, then this parameter returns the extension ID 2.

  • When the destination type is external_num, the parameter returns the external number.
agent_timeoutIntegerRinging timeout for agents (Unit: Second).
retry_timeIntegerThe time interval before ringing the next available agent after the previous available agent's ringing timeout (Unit: Second).
wrap_up_timeIntegerWrap-up time for agents, which can be used to handle post-call tasks after finishing a call (Unit: Second).
Note:Agents will NOT receive queue calls until the wrap-up time is over.
enb_ring_in_useIntegerAssign queue calls to agents that are during an active call.
  • 0: Disabled.
  • 1: Enabled.
agent_promptStringThe prompt to be played to agents when they answer a queue call.
enb_auto_pauseIntegerWhen the number of consecutive missed queue calls for an agent reach a threshold, the system automatically pauses the agent and sends a notification email.
  • 0: Disabled.
  • 1: Enabled.
max_pause_miss_callIntegerThe threshold for agent's consecutive missed calls.
enb_email_miss_callIntegerNotify queue managers by email when a queue call is missed.
  • 0: Disabled.
  • 1: Enabled.
enb_email_abandon_callIntegerNotify queue managers by email when a queue call is abandoned.
  • 0: Disabled.
  • 1: Enabled.
enb_email_sla_alarmIntegerNotify queue managers by email when the Service Level Agreement (SLA) is lower than its alarm threshold.
  • 0: Disabled.
  • 1: Enabled.
callback_enb_request_emailIntegerNotify queue managers by email when callers successfully request a queue callback.
  • 0: Disabled.
  • 1: Enabled.
callback_enb_failed_emailIntegerNotify queue managers by emails when callers fail to request a queue callback.
  • 0: Disabled.
  • 1: Enabled.
max_callsIntegerThe maximum number of callers allowed to wait in the queue.
alert_infoStringThe "Alert-info" Header in the INVITE request to trigger the IP phone to play distinctive ringtones when receiving an incoming call from this Queue.
enb_leave_emptyIntegerForce waiting callers to leave the queue when there are no available agents in the queue.
  • 0: Disabled.
  • 1: Enabled.
empty_defined_for_leave_emptyArray<String>The scenario(s) in which the queue is considered to have no available agents. In such scenarios, waiting callers are forced to leave the queue, and the call is routed to the failover destination (fail_dest).Note:This parameter applies only to version 83.23.0.24 or earlier. For 83.23.0.83 or later version, see the leave_empty_no_agent_list parameter.
  • 1: Agents are unavailable (Off Line)
  • 2: Agents are paused
  • 3: Agents are busy
leave_empty_no_agent_listArray<Leave_Empty_Rules>The scenario(s) in which the queue is considered to have no available agents. In such scenarios, waiting callers are forced to leave the queue, and the call is routed to the specified destination.
Note:This parameter applies only to version 83.23.0.83 or later.
enb_disallow_to_join_when_emptyIntegerDisallow callers to join a queue where no agents are available.
  • 0: Disabled.
  • 1: Enabled.
empty_defined_for_disallow_to_join_when_emptyArray<String>The scenario(s) in which the queue is considered to have no available agents. In such scenarios, callers are NOT allowed to join the queue, and the call is routed to the failover destination (fail_dest).Note:This parameter applies only to version 83.23.0.24 or earlier. For 83.23.0.83 or later version, see the join_empty_no_agent_list parameter.
  • 1: Agents are unavailable (Off Line)
  • 2: Agents are paused
  • 3: Agents are busy
join_empty_no_agent_listArray<Join_Empty_Rules>The scenario(s) in which the queue is considered to have no available agents. In such scenarios, callers are NOT allowed to join the queue, and the call is routed to the specified destination.
Note:This parameter applies only to version 83.23.0.83 or later.
enb_callbackIntegerWhether the queue callback is enabled.
  • 0: Disabled.
  • 1: Enabled.
callback_timeoutStringType of the callback timeout.
Note:Callback timeout refers to the duration that a callback request can be reserved in the queue.
  • queue_max_wait_time: The maximum waiting time of the queue.
  • custom: Custom timeout duration.
callback_timeout_numIntegerCallback timeout duration (Unit: Second).

If there are no available agents in the queue within the timeout duration, the callback request will be cancelled.

callback_methodStringMethod for callers to trigger callback requests when the queue is busy.
  • digit: Triggered by caller input.
  • timeout: Auto triggered after the timeout.
callback_press_keyStringThe key to trigger a callback request when callback_method is digit.
callback_outbound_prefixStringThe prefix of the outbound route which is used for queue callback.
callback_trigger_timeoutIntegerThe timeout duration to trigger the callback request when callback_method is timeout (Unit: Second).
sla_timeIntegerThe Service Level Agreement (SLA) time (Unit: Second).
sla_intervalIntegerThe evaluation interval (Unit: Minute).

The time interval to compare the queue's SLA performance against the SLA alarm threshold, so the system can send a notification email accordingly.

sla_alarm_thresholdIntegerThe Service Level Agreement (SLA) alarm threshold for the queue.
join_promptStringThe prompt played to callers when they join the queue.
play_full_join_promptIntegerWhether the system plays full join prompt to callers before ringing members.
  • 0: Disable - The system rings members as configured regardless of whether the join prompt is fully played.
  • 1: Enable - The system rings members after playing full join prompt.
ringback_toneStringThe filename of custom prompt or the name of MoH (music on hold) playlist. The audio is played to callers before members answer the calls.
enb_announce_agent_idIntegerAnnounce the agent ID to callers.
  • 0: Disabled.
  • 1: Enabled.
enb_announce_default_promptIntegerPeriodically play the prompt "Thank You for Your Patience" to callers while they are waiting in the queue.
  • 0: Disabled.
  • 1: Enabled.
enb_announce_posIntegerWhen callers are waiting in the queue, periodically announce the number of people waiting ahead of them.
  • 0: Disabled.
  • 1: Enabled.
enb_announce_hold_timeIntegerPeriodically announce the estimated waiting time to callers while they are waiting in the queue.
  • 0: Disabled.
  • 1: Enabled.
caller_announce_freqIntegerThe time interval to announce the number of people waiting ahead to the callers (Unit: Second).
sys_announce_promptStringThe queue announcement which is periodically played to callers after they join the queue.
sys_announce_freqIntegerThe time interval to play the queue announcements (Unit: Second).
satisfa_survey_promptStringThe satisfaction survey prompt played to the caller after the agent hangs up the call.
satisfa_survey_end_promptStringThe prompt played to callers after they press the key to rate agent's service.
press_keyStringThe key to trigger the key press event.

After callers input the key according to the prompt, the call will be routed to the specified destination

key_destStringThe destination type of the key.
  • end_call: Hang Up.
  • extension: Extension.
  • ext_vm: Extension Voicemail.
  • group_vm: Group Voicemail.
  • ivr: IVR.
  • call_flow: Call Flow
  • ring_group: Ring Group.
  • queue: Queue.
  • external_num: External Number.
  • play_greeting: Play Prompt and Exit.
key_dest_prefixStringThis parameter returns different values depending on the destination type of the key (key_dest).
  • When the destination type is external_num, the parameter returns the dial-out prefix of the external number.
  • When the destination type is play_greeting, the parameter returns the play count of the prompt.
key_dest_valueStringThe destination of the key. This parameter returns different values depending on the destination type of the key (key_dest).
  • When the destination type is play_greeting, this parameter returns the custom prompt file name. E.g. demo.wav.
  • When the destination type is extension, ext_vm, group_vm, ivr, call_flow, ring_group, or queue, this parameter returns the unique ID of the destination.

    For example, the destination is the extension 2002, then this parameter returns the extension ID 2.

  • When the destination type is external_num, the parameter returns the external number.
dynamic_agent_listArray <Dynamic_Agent_List>Information of the dynamic agents.
static_agent_listArray <Static_Agent_List>Information of the static agents.
manager_listArray <Manager_List>Information of the queue managers.
satisfaction_survey_point_listArray <Satisfaction_Survey_Point_List>Satisfaction survey points. Different keys correspond to different points.
enb_priority_queueIntegerWhether priority queue is enabled.
  • 0: Disabled.
  • 1: Enabled.
weightIntegerThe initial weight of the queue.
enb_acceleration_weightIntegerWhether acceleration weight is enabled.
  • 0: Disabled.
  • 1: Enabled.
accelerationIntegerThe amount of time (in seconds) a call has been waiting in the queue before the weight is increased by 1.
enb_ip_phone_missed_call_displayIntegerWhether agents' IP phones will display the call records for missed queue calls or not.
  • 0: Disabled - Agents' IP phones will not display the missed queue calls.
  • 1: Enabled - Agents' IP phones will show the missed queue calls.
enb_custom_languageIntegerWhether custom prompt language is enabled for the queue.
  • 0: Disabled.
  • 1: Enabled.
prompt_languageStringThe custom language for system prompts in the queue.
  • sound-ar:العربية (Arabic)
  • sound-cz:Čeština(Czech)
  • sound-de:Deutsch (German)
  • sound-en:English
  • sound-en_BR:English (British)
  • sound-es:Español/Castellano (Spanish Spain)
  • sound-es_LT:Español latino (Spanish Latin)
  • sound-fa:فارسی (Persian)
  • sound-fr:Française (French)
  • sound-gr:Ελληνικά (Greek)
  • sound-hr:hrvatski (Croatian)
  • sound-id:Bahasa Indonesia (Indonesian)
  • sound-it:Italiano (Italian)
  • sound-iw:עברית (Hebrew)
  • sound-nl:Nederlands (Dutch)
  • sound-pl:Polski (Polish)
  • sound-pt:Português (Portuguese)
  • sound-pt_BR:Português Brasil (Portuguese Brazil)
  • sound-ro:Română (Romanian)
  • sound-ru:Pусский (Russian)
  • sound-sk:Slovenčina(Slovak)
  • sound-sl:Slovenščina (Slovenian)
  • sound-sr:Cрпски (Serbian)
  • sound-th:ไทย (Thai)
  • sound-tr:Türk (Turkish)
  • sound-zh:中文 (Chinese)
  • sound-zh_hk:粤语 (Cantonese)
client_unique_ringtoneStringThe distinctive ringtone that will be played on agents' Linkus clients when they receive calls from this queue.

Leave_Empty_Rules/Join_Empty_Rules

ParameterTypeDescription
no_agent_include_listArray<String>The scenarios considered as having no available agents.
  • 1:All agents are currently offline.
  • 2:All agents are currently on hold.
  • 3:All agents are currently busy.
dest_toStringThe destination type for routing calls in scenarios where there are no available agents.
  • end_call: Hang Up.
  • extension: Extension.
  • ext_vm: Extension Voicemail.
  • group_vm: Group Voicemail.
  • ivr: IVR.
  • call_flow: Call Flow
  • ring_group: Ring Group.
  • queue: Queue.
  • external_num: External Number.
  • play_greeting: Play Prompt and Exit.
dest_valueStringThe destination for routing calls in scenarios where there are no available agents. This parameter returns different values depending on the destination type (dest_to).
  • When the destination type is play_greeting, this parameter returns the custom prompt file name. E.g. demo.wav.
  • When the destination type is extension, ext_vm, group_vm, ivr, call_flow, ring_group, or queue, this parameter returns the unique ID of the destination.

    For example, the destination is the extension 2002, then this parameter returns the extension ID 2.

  • When the destination type is external_num, the parameter returns the external number.
dest_prefixStringThis parameter returns different values depending on the destination type (dest_to).
  • When the destination type is external_num, the parameter returns the dial-out prefix of the external number.
  • When the destination type is play_greeting, the parameter returns the play count of the prompt.

Dynamic_Agent_List

ParameterTypeDescription
textStringThe name of the dynamic agent.
text2StringThe extension number of the dynamic agent.
valueStringThe extension ID of the dynamic agent.
typeStringThe type of the dynamic agent.
  • extension
number_valueIntegerThe skill level of the dynamic agent.

Static_Agent_List

ParameterTypeDescription
textStringThe name of the static agent.
text2StringThe extension number of the static agent.
valueStringThe extension ID of the static agent.
typeStringThe type of the static agent.
  • extension
number_valueIntegerThe skill level of the static agent.

Manager_List

ParameterTypeDescription
textStringThe name of the queue manager.
text2StringThe extension number of the queue manager.
valueStringThe extension ID of the queue manager.
typeStringThe type of the queue manager.
  • extension

Satisfaction_Survey_Point_List

ParameterTypeDescription
KStringSatisfaction survey rating keys.
  • Number 0 - 9
  • *
PIntegerSatisfaction survey points.

Examples

Request example

Query the detailed information of the queue with ID "3".

GET /openapi/v1.0/queue/get?access_token=mlF8b3omcSD822Sosdc6kyiFkdYkC8UG&id=3 HTTP/1.1
Host: 192.168.5.150:8088

Response example

HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 3,
"number": "6402",
"name": "Tech Support",
"ring_strategy": "ring_all",
"moh": "default",
"max_wait_time": 1800,
"fail_dest": "end_call",
"fail_dest_prefix": "",
"fail_dest_value": "",
"agent_timeout": 30,
"retry_time": 30,
"wrap_up_time": 30,
"enb_ring_in_use": 0,
"agent_prompt": "",
"enb_auto_pause": 0,
"max_pause_miss_call": 0,
"enb_email_miss_call": 1,
"enb_email_abandon_call": 1,
"enb_email_sla_alarm": 1,
"callback_enb_request_email": 1,
"callback_enb_failed_email": 1,
"max_calls": 3,
"alert_info": "",
"enb_leave_empty": 1,
"enb_disallow_to_join_when_empty": 1,
"enb_callback": 1,
"callback_timeout": "queue_max_wait_time",
"callback_timeout_num": 180,
"callback_method": "digit",
"callback_press_key": "1",
"callback_outbound_prefix": "",
"callback_trigger_timeout": 0,
"sla_time": 60,
"sla_interval": 30,
"sla_alarm_threshold": 80,
"join_prompt": "",
"play_full_join_prompt": 0,
"ringback_tone": "",
"enb_announce_agent_id": 0,
"enb_announce_default_prompt": 1,
"enb_announce_pos": 1,
"enb_announce_hold_time": 1,
"caller_announce_freq": 30,
"sys_announce_prompt": "",
"sys_announce_freq": 60,
"satisfa_survey_prompt": "",
"press_key": "",
"key_dest": "end_call",
"key_dest_prefix": "",
"key_dest_value": "",
"dynamic_agent_list": [
{
"text": "Leo Ball",
"text2": "1000",
"value": "73",
"type": "extension",
"number_value": 1
},
{
"text": "Phillip Huff",
"text2": "1001",
"value": "85",
"type": "extension",
"number_value": 1
}
],
"static_agent_list": [
{
"text": "Madison Cooper",
"text2": "1004",
"value": "96",
"type": "extension",
"number_value": 1
},
{
"text": "Kevin Connor",
"text2": "1005",
"value": "97",
"type": "extension",
"number_value": 1
},
{
"text": "Kristin Hale",
"text2": "1006",
"value": "92",
"type": "extension",
"number_value": 1
}
],
"manager_list": [
{
"text": "Leo Ball",
"text2": "1000",
"value": "73",
"type": "extension"
}
],
"satisfaction_survey_point_list": [
{
"k": "0",
"p": -5
},
{
"k": "1",
"p": -2
},
{
"k": "2",
"p": 0
},
{
"k": "3",
"p": 2
},
{
"k": "4",
"p": 5
},
{
"k": "5",
"p": 0
},
{
"k": "6",
"p": 0
},
{
"k": "7",
"p": 0
},
{
"k": "8",
"p": 0
},
{
"k": "9",
"p": 0
},
{
"k": "*",
"p": 0
}
],
"enb_priority_queue": 0,
"weight": 0,
"enb_acceleration_weight": 0,
"acceleration": 30,
"enb_ip_phone_missed_call_display":1,
"enb_custom_language": 1,
"prompt_language": "sound-de",
"client_unique_ringtone": "example-1.wav",
"leave_empty_no_agent_list": [
{
"no_agent_include_list": [
"1"
],
"dest_to": "group_vm",
"dest_value": "3",
"dest_prefix": ""
},
{
"no_agent_include_list": [
"2",
"3"
],
"dest_to": "play_greeting",
"dest_value": "BusyNow.wav",
"dest_prefix": "1"
}
],
"join_empty_no_agent_list": [
{
"no_agent_include_list": [
"1"
],
"dest_to": "ring_group",
"dest_value": "8023",
"dest_prefix": ""
},
{
"no_agent_include_list": [
"2",
"3"
],
"dest_to": "play_greeting",
"dest_value": "BusyNow.wav",
"dest_prefix": "1"
}
]
}
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app